libetonyek::IWORKNumberFormatElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKNumberFormatElement Class Reference

`#include <IWORKFormatElement.h>`

Inheritance diagram for libetonyek::IWORKNumberFormatElement:

## Public Member Functions
| IWORKNumberFormatElement (IWORKXMLParserState &state, boost::optional< IWORKNumberFormat > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKNumberFormat > & | m_value

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKNumberFormatElement()

libetonyek::IWORKNumberFormatElement::IWORKNumberFormatElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKNumberFormat > & | value
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKNumberFormatElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKNumberFormatElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_value

boost::optional<IWORKNumberFormat>& libetonyek::IWORKNumberFormatElement::m_value
| private

Referenced by attribute(), endOfElement(), and IWORKNumberFormatElement().

The documentation for this class was generated from the following files:

- IWORKFormatElement.h
- IWORKFormatElement.cpp